Posted On: Oct 28, 2016

AWS Elastic Beanstalk now supports the Amazon Linux AMI 2016.09. As part of this update, you can now use Nginx 1.10 and PostgreSQL 9.5 with your Elastic Beanstalk environments. Python 3.5 support is coming soon. In addition, the Elastic Beanstalk Node.js platform has been updated to v3.1.0 and will now default to Node v6.X. Learn more about the new AMI here.

Elastic Beanstalk has also added support for Amazon EC2’s P2, M4, and X1 instance types in all regions where these instance types are available. For more information about EC2 instance types, see Amazon EC2 Instance Types.

Read the documentation to learn more about updating an existing Elastic Beanstalk environment to the latest AMI version.

For more information on Elastic Beanstalk:
Product Page
Release Notes
Platform Support List